! Command file for ORANIG model, long-run closure

! check-on-read elements = warn; ! very often needed
! cpu=yes ; ! (Optional) Reports CPU times for various stages
! log file = yes;  ! Optional
! auxiliary files = oranig01; ! needed by GEMSIM

! Solution method
! method = GRAGG ;
! steps = 2 4 6 ;
!method = johansen; ! alternative to above

! verbal description = ORANIG: Employment increase, longrun closure;

! Data and summary file
! file basedata = Basdat95.har ;
! updated file basedata =maindata.upd;
! file summary  = summary.har;

! Closure: "!*!" indicates difference from shortrun

! Exogenous variables constraining real GDP from the supply side
exogenous  gret              !*! sectoral gross rates of return
           x1lnd               ! all sectoral agricultural land
           a1cap a1lab_o a1lnd
           a1prim a1tot a2tot  ! all technological change
           employ_i ;        !*! total employment - wage weights

! Exogenous settings of real GDP from the expenditure side
exogenous  delB              !*! balance of trade/GDP
           invslack          !*! investment slack variable
           f5tot2            !*! link government demands to total household
           delx6 ;             ! real demands for inventories by commodity

! The demand curves of exports are fixed in both quantity and price axes
exogenous  f4p f4q               ! individual exports
           f4p_ntrad f4q_ntrad ; ! collective exports
! Exogenous foreign prices of imports ;
exogenous  pf0cif ;

! All tax rates are exogenous 
exogenous  delPTXRATE f0tax_s  f1tax_csi f2tax_csi f3tax_cs f5tax_cs t0imp
           f4tax_trad f4tax_ntrad f1oct ;  

! distribution of government demands !
exogenous  f5 ;

! The nominal exchange rate is the numeraire
exogenous phi ;

! Number of households and their consumption preferences are exogenous
exogenous q a3_s ;

!exogenous capslack; ! switch off aggregate capital constraint ! 

! Determination of sectoral investment
xSet EXOGINV  # 'exogenous' investment industries #
 (ElecPower, GasSupply,WaterSupply,PublicAdmin,OtrPubservc);
xSubset EXOGINV is Subset of IND;
xSet ENDOGINV # 'endogenous' investment industries # = IND - EXOGINV;
exogenous finv3(ENDOGINV); !*! fixed investment/capital ratios
exogenous finv2(EXOGINV);  ! investment follows aggregate investment

! Exogenous variables for regional extension
! exogenous    freg1 freg2 freg3 freg4 freg5 freg6;
! exogenous    rsum1 rsum2 rsum3 rsum4 rsum5 rsum6;

rest endogenous ;

! shock   employ_i = 1;     ! 1% growth labour force


